
Katello - Bug #3479

db:seeds fails if locked role exists, but no permissions

10/23/2013 12:21 PM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Validation failed: Cannot add/remove or change permissions related to a locked role.

Associated revisions

Revision 95ec6827 - 10/24/2013 07:30 AM - Joseph Magen

Engine: fixes #3479 - db:seeds fails if readonly role exists and is locked but role has no permissions

Revision b0af9819 - 10/24/2013 07:32 AM - Joseph Magen

Merge pull request #3255 from isratrade/3479_role_unlock

Engine: fixes #3479 - db:seeds fails if readonly role exists and is lock but role has no permissions

Revision b95b1f90 - 10/29/2013 08:00 PM - Joseph Magen

Engine: fixes #3479 - db:seeds fails if readonly role exists and is locked but role has no permissions

Revision 9323cc3f - 11/01/2013 09:44 PM - Joseph Magen

Engine: fixes #3479 - db:seeds fails if readonly role exists and is locked but role has no permissions

Revision f3ad2ece - 11/22/2013 07:32 PM - Joseph Magen

Engine: fixes #3479 - db:seeds fails if readonly role exists and is locked but role has no permissions

History

#1 - 10/24/2013 07:52 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:95ec682747b66e8d723eabcc783e81d8d226dad5.

#2 - 06/06/2014 01:40 PM - Eric Helms

- Triaged set to Yes

#3 - 08/21/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
